Subject: Re: [PATCH] [POWERPC] Fix bootwrapper builds with newer gcc versions

From: Segher Boessenkool <[email-masked]>
Date: Fri, 2 May 2008 19:15:26 +0200

>> gcc -print-libgcc-file-name
>
> It wasn't clear if we used a multilib toolchain if we always get the 
> proper libgcc since we are building bootwrappers for all kinda of 
> variants.  (e500, 40x, 6xx, etc.).

gcc -mthe-options-to-select-some-target -print-libgcc-file-name

> My patch seemed the least painful solution to me.

In the short term, perhaps ;-)

> I assume there is a reason we don't link libgcc w/the kernel.

It's historical, even _if_ there was a valid reason once (and I'm
not so sure about that), who knows if there still is.

Besides, this is not the kernel, this is the bootwrapper, I strongly
doubt libgcc would cause any conflicts here.

Segher